TakenAt: 2021-06-03T11:42:17Z
TakenAtLocal: 2021-06-03T12:42:17Z
TakenSrc: meta
UID: pt67p1mfr41f3cx7
Type: image
Title: Portsmouth / United Kingdom / 2021
TimeZone: Europe/London
PlaceSrc: meta
Altitude: 53
Lat: 50.8007129
Lng: -1.0762908
Year: 2021
Month: 6
Day: 3
ISO: 1000
Exposure: 1/25
FNumber: 1.8
FocalLength: 26
Quality: 4
Details:
  Keywords: england, fratton, grey, newcome, portsmouth, road, united-kingdom
  Software: G981BXXU7DUE1
  SoftwareSrc: meta
CreatedAt: 2025-11-24T03:44:10Z
UpdatedAt: 2025-11-24T08:32:17Z
